#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${CMAKE_SOURCE_DIR}/atlantik/libatlantic
  ${CMAKE_SOURCE_DIR}/atlantik/libatlantikui
  ${CMAKE_SOURCE_DIR}/atlantik/libatlantikclient
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### atlantik (executable) #####################

tde_add_executable( atlantik AUTOMOC
  SOURCES atlantik.cpp configdlg.cpp event.cpp eventlogwidget.cpp main.cpp
    monopigator.cpp selectconfiguration_widget.cpp selectgame_widget.cpp
    selectserver_widget.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared atlantikui-shared
    atlantikclient-shared tdeio-shared tdegames-shared
  DESTINATION ${BIN_INSTALL_DIR}
)
